patch to resolve the unmappable character errors:
UnicodeToKeysym.java:38: error: unmappable character for encoding ASCII
    new codepair(0x01a1, 0x0104), /*                     Aogonek ?? LATIN CAPITAL LETTER A WITH OGONEK */


--- a/java/com/tigervnc/rfb/UnicodeToKeysym.java	2017-03-13 20:48:16.256781366 +0000
+++ b/java/com/tigervnc/rfb/UnicodeToKeysym.java	2017-03-13 21:44:09.074975143 +0000
@@ -35,412 +35,412 @@
   }
 
   public static codepair[] keysymtab = {
-    new codepair(0x01a1, 0x0104), /*                     Aogonek Ą LATIN CAPITAL LETTER A WITH OGONEK */
-    new codepair(0x01a2, 0x02d8), /*                       breve ˘ BREVE */
-    new codepair(0x01a3, 0x0141), /*                     Lstroke Ł LATIN CAPITAL LETTER L WITH STROKE */
-    new codepair(0x01a5, 0x013d), /*                      Lcaron Ľ LATIN CAPITAL LETTER L WITH CARON */
-    new codepair(0x01a6, 0x015a), /*                      Sacute Ś LATIN CAPITAL LETTER S WITH ACUTE */
-    new codepair(0x01a9, 0x0160), /*                      Scaron Š LATIN CAPITAL LETTER S WITH CARON */
-    new codepair(0x01aa, 0x015e), /*                    Scedilla Ş LATIN CAPITAL LETTER S WITH CEDILLA */
-    new codepair(0x01ab, 0x0164), /*                      Tcaron Ť LATIN CAPITAL LETTER T WITH CARON */
-    new codepair(0x01ac, 0x0179), /*                      Zacute Ź LATIN CAPITAL LETTER Z WITH ACUTE */
-    new codepair(0x01ae, 0x017d), /*                      Zcaron Ž LATIN CAPITAL LETTER Z WITH CARON */
-    new codepair(0x01af, 0x017b), /*                   Zabovedot Ż LATIN CAPITAL LETTER Z WITH DOT ABOVE */
-    new codepair(0x01b1, 0x0105), /*                     aogonek ą LATIN SMALL LETTER A WITH OGONEK */
-    new codepair(0x01b2, 0x02db), /*                      ogonek ˛ OGONEK */
-    new codepair(0x01b3, 0x0142), /*                     lstroke ł LATIN SMALL LETTER L WITH STROKE */
-    new codepair(0x01b5, 0x013e), /*                      lcaron ľ LATIN SMALL LETTER L WITH CARON */
-    new codepair(0x01b6, 0x015b), /*                      sacute ś LATIN SMALL LETTER S WITH ACUTE */
-    new codepair(0x01b7, 0x02c7), /*                       caron ˇ CARON */
-    new codepair(0x01b9, 0x0161), /*                      scaron š LATIN SMALL LETTER S WITH CARON */
-    new codepair(0x01ba, 0x015f), /*                    scedilla ş LATIN SMALL LETTER S WITH CEDILLA */
-    new codepair(0x01bb, 0x0165), /*                      tcaron ť LATIN SMALL LETTER T WITH CARON */
-    new codepair(0x01bc, 0x017a), /*                      zacute ź LATIN SMALL LETTER Z WITH ACUTE */
-    new codepair(0x01bd, 0x02dd), /*                 doubleacute ˝ DOUBLE ACUTE ACCENT */
-    new codepair(0x01be, 0x017e), /*                      zcaron ž LATIN SMALL LETTER Z WITH CARON */
-    new codepair(0x01bf, 0x017c), /*                   zabovedot ż LATIN SMALL LETTER Z WITH DOT ABOVE */
-    new codepair(0x01c0, 0x0154), /*                      Racute Ŕ LATIN CAPITAL LETTER R WITH ACUTE */
-    new codepair(0x01c3, 0x0102), /*                      Abreve Ă LATIN CAPITAL LETTER A WITH BREVE */
-    new codepair(0x01c5, 0x0139), /*                      Lacute Ĺ LATIN CAPITAL LETTER L WITH ACUTE */
-    new codepair(0x01c6, 0x0106), /*                      Cacute Ć LATIN CAPITAL LETTER C WITH ACUTE */
-    new codepair(0x01c8, 0x010c), /*                      Ccaron Č LATIN CAPITAL LETTER C WITH CARON */
-    new codepair(0x01ca, 0x0118), /*                     Eogonek Ę LATIN CAPITAL LETTER E WITH OGONEK */
-    new codepair(0x01cc, 0x011a), /*                      Ecaron Ě LATIN CAPITAL LETTER E WITH CARON */
-    new codepair(0x01cf, 0x010e), /*                      Dcaron Ď LATIN CAPITAL LETTER D WITH CARON */
-    new codepair(0x01d0, 0x0110), /*                     Dstroke Đ LATIN CAPITAL LETTER D WITH STROKE */
-    new codepair(0x01d1, 0x0143), /*                      Nacute Ń LATIN CAPITAL LETTER N WITH ACUTE */
-    new codepair(0x01d2, 0x0147), /*                      Ncaron Ň LATIN CAPITAL LETTER N WITH CARON */
-    new codepair(0x01d5, 0x0150), /*                Odoubleacute Ő LATIN CAPITAL LETTER O WITH DOUBLE ACUTE */
-    new codepair(0x01d8, 0x0158), /*                      Rcaron Ř LATIN CAPITAL LETTER R WITH CARON */
-    new codepair(0x01d9, 0x016e), /*                       Uring Ů LATIN CAPITAL LETTER U WITH RING ABOVE */
-    new codepair(0x01db, 0x0170), /*                Udoubleacute Ű LATIN CAPITAL LETTER U WITH DOUBLE ACUTE */
-    new codepair(0x01de, 0x0162), /*                    Tcedilla Ţ LATIN CAPITAL LETTER T WITH CEDILLA */
-    new codepair(0x01e0, 0x0155), /*                      racute ŕ LATIN SMALL LETTER R WITH ACUTE */
-    new codepair(0x01e3, 0x0103), /*                      abreve ă LATIN SMALL LETTER A WITH BREVE */
-    new codepair(0x01e5, 0x013a), /*                      lacute ĺ LATIN SMALL LETTER L WITH ACUTE */
-    new codepair(0x01e6, 0x0107), /*                      cacute ć LATIN SMALL LETTER C WITH ACUTE */
-    new codepair(0x01e8, 0x010d), /*                      ccaron č LATIN SMALL LETTER C WITH CARON */
-    new codepair(0x01ea, 0x0119), /*                     eogonek ę LATIN SMALL LETTER E WITH OGONEK */
-    new codepair(0x01ec, 0x011b), /*                      ecaron ě LATIN SMALL LETTER E WITH CARON */
-    new codepair(0x01ef, 0x010f), /*                      dcaron ď LATIN SMALL LETTER D WITH CARON */
-    new codepair(0x01f0, 0x0111), /*                     dstroke đ LATIN SMALL LETTER D WITH STROKE */
-    new codepair(0x01f1, 0x0144), /*                      nacute ń LATIN SMALL LETTER N WITH ACUTE */
-    new codepair(0x01f2, 0x0148), /*                      ncaron ň LATIN SMALL LETTER N WITH CARON */
-    new codepair(0x01f5, 0x0151), /*                odoubleacute ő LATIN SMALL LETTER O WITH DOUBLE ACUTE */
-    new codepair(0x01f8, 0x0159), /*                      rcaron ř LATIN SMALL LETTER R WITH CARON */
-    new codepair(0x01f9, 0x016f), /*                       uring ů LATIN SMALL LETTER U WITH RING ABOVE */
-    new codepair(0x01fb, 0x0171), /*                udoubleacute ű LATIN SMALL LETTER U WITH DOUBLE ACUTE */
-    new codepair(0x01fe, 0x0163), /*                    tcedilla ţ LATIN SMALL LETTER T WITH CEDILLA */
-    new codepair(0x01ff, 0x02d9), /*                    abovedot ˙ DOT ABOVE */
-    new codepair(0x02a1, 0x0126), /*                     Hstroke Ħ LATIN CAPITAL LETTER H WITH STROKE */
-    new codepair(0x02a6, 0x0124), /*                 Hcircumflex Ĥ LATIN CAPITAL LETTER H WITH CIRCUMFLEX */
-    new codepair(0x02a9, 0x0130), /*                   Iabovedot İ LATIN CAPITAL LETTER I WITH DOT ABOVE */
-    new codepair(0x02ab, 0x011e), /*                      Gbreve Ğ LATIN CAPITAL LETTER G WITH BREVE */
-    new codepair(0x02ac, 0x0134), /*                 Jcircumflex Ĵ LATIN CAPITAL LETTER J WITH CIRCUMFLEX */
-    new codepair(0x02b1, 0x0127), /*                     hstroke ħ LATIN SMALL LETTER H WITH STROKE */
-    new codepair(0x02b6, 0x0125), /*                 hcircumflex ĥ LATIN SMALL LETTER H WITH CIRCUMFLEX */
-    new codepair(0x02b9, 0x0131), /*                    idotless ı LATIN SMALL LETTER DOTLESS I */
-    new codepair(0x02bb, 0x011f), /*                      gbreve ğ LATIN SMALL LETTER G WITH BREVE */
-    new codepair(0x02bc, 0x0135), /*                 jcircumflex ĵ LATIN SMALL LETTER J WITH CIRCUMFLEX */
-    new codepair(0x02c5, 0x010a), /*                   Cabovedot Ċ LATIN CAPITAL LETTER C WITH DOT ABOVE */
-    new codepair(0x02c6, 0x0108), /*                 Ccircumflex Ĉ LATIN CAPITAL LETTER C WITH CIRCUMFLEX */
-    new codepair(0x02d5, 0x0120), /*                   Gabovedot Ġ LATIN CAPITAL LETTER G WITH DOT ABOVE */
-    new codepair(0x02d8, 0x011c), /*                 Gcircumflex Ĝ LATIN CAPITAL LETTER G WITH CIRCUMFLEX */
-    new codepair(0x02dd, 0x016c), /*                      Ubreve Ŭ LATIN CAPITAL LETTER U WITH BREVE */
-    new codepair(0x02de, 0x015c), /*                 Scircumflex Ŝ LATIN CAPITAL LETTER S WITH CIRCUMFLEX */
-    new codepair(0x02e5, 0x010b), /*                   cabovedot ċ LATIN SMALL LETTER C WITH DOT ABOVE */
-    new codepair(0x02e6, 0x0109), /*                 ccircumflex ĉ LATIN SMALL LETTER C WITH CIRCUMFLEX */
-    new codepair(0x02f5, 0x0121), /*                   gabovedot ġ LATIN SMALL LETTER G WITH DOT ABOVE */
-    new codepair(0x02f8, 0x011d), /*                 gcircumflex ĝ LATIN SMALL LETTER G WITH CIRCUMFLEX */
-    new codepair(0x02fd, 0x016d), /*                      ubreve ŭ LATIN SMALL LETTER U WITH BREVE */
-    new codepair(0x02fe, 0x015d), /*                 scircumflex ŝ LATIN SMALL LETTER S WITH CIRCUMFLEX */
-    new codepair(0x03a2, 0x0138), /*                         kra ĸ LATIN SMALL LETTER KRA */
-    new codepair(0x03a3, 0x0156), /*                    Rcedilla Ŗ LATIN CAPITAL LETTER R WITH CEDILLA */
-    new codepair(0x03a5, 0x0128), /*                      Itilde Ĩ LATIN CAPITAL LETTER I WITH TILDE */
-    new codepair(0x03a6, 0x013b), /*                    Lcedilla Ļ LATIN CAPITAL LETTER L WITH CEDILLA */
-    new codepair(0x03aa, 0x0112), /*                     Emacron Ē LATIN CAPITAL LETTER E WITH MACRON */
-    new codepair(0x03ab, 0x0122), /*                    Gcedilla Ģ LATIN CAPITAL LETTER G WITH CEDILLA */
-    new codepair(0x03ac, 0x0166), /*                      Tslash Ŧ LATIN CAPITAL LETTER T WITH STROKE */
-    new codepair(0x03b3, 0x0157), /*                    rcedilla ŗ LATIN SMALL LETTER R WITH CEDILLA */
-    new codepair(0x03b5, 0x0129), /*                      itilde ĩ LATIN SMALL LETTER I WITH TILDE */
-    new codepair(0x03b6, 0x013c), /*                    lcedilla ļ LATIN SMALL LETTER L WITH CEDILLA */
-    new codepair(0x03ba, 0x0113), /*                     emacron ē LATIN SMALL LETTER E WITH MACRON */
-    new codepair(0x03bb, 0x0123), /*                    gcedilla ģ LATIN SMALL LETTER G WITH CEDILLA */
-    new codepair(0x03bc, 0x0167), /*                      tslash ŧ LATIN SMALL LETTER T WITH STROKE */
-    new codepair(0x03bd, 0x014a), /*                         ENG Ŋ LATIN CAPITAL LETTER ENG */
-    new codepair(0x03bf, 0x014b), /*                         eng ŋ LATIN SMALL LETTER ENG */
-    new codepair(0x03c0, 0x0100), /*                     Amacron Ā LATIN CAPITAL LETTER A WITH MACRON */
-    new codepair(0x03c7, 0x012e), /*                     Iogonek Į LATIN CAPITAL LETTER I WITH OGONEK */
-    new codepair(0x03cc, 0x0116), /*                   Eabovedot Ė LATIN CAPITAL LETTER E WITH DOT ABOVE */
-    new codepair(0x03cf, 0x012a), /*                     Imacron Ī LATIN CAPITAL LETTER I WITH MACRON */
-    new codepair(0x03d1, 0x0145), /*                    Ncedilla Ņ LATIN CAPITAL LETTER N WITH CEDILLA */
-    new codepair(0x03d2, 0x014c), /*                     Omacron Ō LATIN CAPITAL LETTER O WITH MACRON */
-    new codepair(0x03d3, 0x0136), /*                    Kcedilla Ķ LATIN CAPITAL LETTER K WITH CEDILLA */
-    new codepair(0x03d9, 0x0172), /*                     Uogonek Ų LATIN CAPITAL LETTER U WITH OGONEK */
-    new codepair(0x03dd, 0x0168), /*                      Utilde Ũ LATIN CAPITAL LETTER U WITH TILDE */
-    new codepair(0x03de, 0x016a), /*                     Umacron Ū LATIN CAPITAL LETTER U WITH MACRON */
-    new codepair(0x03e0, 0x0101), /*                     amacron ā LATIN SMALL LETTER A WITH MACRON */
-    new codepair(0x03e7, 0x012f), /*                     iogonek į LATIN SMALL LETTER I WITH OGONEK */
-    new codepair(0x03ec, 0x0117), /*                   eabovedot ė LATIN SMALL LETTER E WITH DOT ABOVE */
-    new codepair(0x03ef, 0x012b), /*                     imacron ī LATIN SMALL LETTER I WITH MACRON */
-    new codepair(0x03f1, 0x0146), /*                    ncedilla ņ LATIN SMALL LETTER N WITH CEDILLA */
-    new codepair(0x03f2, 0x014d), /*                     omacron ō LATIN SMALL LETTER O WITH MACRON */
-    new codepair(0x03f3, 0x0137), /*                    kcedilla ķ LATIN SMALL LETTER K WITH CEDILLA */
-    new codepair(0x03f9, 0x0173), /*                     uogonek ų LATIN SMALL LETTER U WITH OGONEK */
-    new codepair(0x03fd, 0x0169), /*                      utilde ũ LATIN SMALL LETTER U WITH TILDE */
-    new codepair(0x03fe, 0x016b), /*                     umacron ū LATIN SMALL LETTER U WITH MACRON */
-    new codepair(0x047e, 0x203e), /*                    overline ‾ OVERLINE */
-    new codepair(0x04a1, 0x3002), /*               kana_fullstop 。 IDEOGRAPHIC FULL STOP */
-    new codepair(0x04a2, 0x300c), /*         kana_openingbracket 「 LEFT CORNER BRACKET */
-    new codepair(0x04a3, 0x300d), /*         kana_closingbracket 」 RIGHT CORNER BRACKET */
-    new codepair(0x04a4, 0x3001), /*                  kana_comma 、 IDEOGRAPHIC COMMA */
-    new codepair(0x04a5, 0x30fb), /*            kana_conjunctive ・ KATAKANA MIDDLE DOT */
-    new codepair(0x04a6, 0x30f2), /*                     kana_WO ヲ KATAKANA LETTER WO */
-    new codepair(0x04a7, 0x30a1), /*                      kana_a ァ KATAKANA LETTER SMALL A */
-    new codepair(0x04a8, 0x30a3), /*                      kana_i ィ KATAKANA LETTER SMALL I */
-    new codepair(0x04a9, 0x30a5), /*                      kana_u ゥ KATAKANA LETTER SMALL U */
-    new codepair(0x04aa, 0x30a7), /*                      kana_e ェ KATAKANA LETTER SMALL E */
-    new codepair(0x04ab, 0x30a9), /*                      kana_o ォ KATAKANA LETTER SMALL O */
-    new codepair(0x04ac, 0x30e3), /*                     kana_ya ャ KATAKANA LETTER SMALL YA */
-    new codepair(0x04ad, 0x30e5), /*                     kana_yu ュ KATAKANA LETTER SMALL YU */
-    new codepair(0x04ae, 0x30e7), /*                     kana_yo ョ KATAKANA LETTER SMALL YO */
-    new codepair(0x04af, 0x30c3), /*                    kana_tsu ッ KATAKANA LETTER SMALL TU */
-    new codepair(0x04b0, 0x30fc), /*              prolongedsound ー KATAKANA-HIRAGANA PROLONGED SOUND MARK */
-    new codepair(0x04b1, 0x30a2), /*                      kana_A ア KATAKANA LETTER A */
-    new codepair(0x04b2, 0x30a4), /*                      kana_I イ KATAKANA LETTER I */
-    new codepair(0x04b3, 0x30a6), /*                      kana_U ウ KATAKANA LETTER U */
-    new codepair(0x04b4, 0x30a8), /*                      kana_E エ KATAKANA LETTER E */
-    new codepair(0x04b5, 0x30aa), /*                      kana_O オ KATAKANA LETTER O */
-    new codepair(0x04b6, 0x30ab), /*                     kana_KA カ KATAKANA LETTER KA */
-    new codepair(0x04b7, 0x30ad), /*                     kana_KI キ KATAKANA LETTER KI */
-    new codepair(0x04b8, 0x30af), /*                     kana_KU ク KATAKANA LETTER KU */
-    new codepair(0x04b9, 0x30b1), /*                     kana_KE ケ KATAKANA LETTER KE */
-    new codepair(0x04ba, 0x30b3), /*                     kana_KO コ KATAKANA LETTER KO */
-    new codepair(0x04bb, 0x30b5), /*                     kana_SA サ KATAKANA LETTER SA */
-    new codepair(0x04bc, 0x30b7), /*                    kana_SHI シ KATAKANA LETTER SI */
-    new codepair(0x04bd, 0x30b9), /*                     kana_SU ス KATAKANA LETTER SU */
-    new codepair(0x04be, 0x30bb), /*                     kana_SE セ KATAKANA LETTER SE */
-    new codepair(0x04bf, 0x30bd), /*                     kana_SO ソ KATAKANA LETTER SO */
-    new codepair(0x04c0, 0x30bf), /*                     kana_TA タ KATAKANA LETTER TA */
-    new codepair(0x04c1, 0x30c1), /*                    kana_CHI チ KATAKANA LETTER TI */
-    new codepair(0x04c2, 0x30c4), /*                    kana_TSU ツ KATAKANA LETTER TU */
-    new codepair(0x04c3, 0x30c6), /*                     kana_TE テ KATAKANA LETTER TE */
-    new codepair(0x04c4, 0x30c8), /*                     kana_TO ト KATAKANA LETTER TO */
-    new codepair(0x04c5, 0x30ca), /*                     kana_NA ナ KATAKANA LETTER NA */
-    new codepair(0x04c6, 0x30cb), /*                     kana_NI ニ KATAKANA LETTER NI */
-    new codepair(0x04c7, 0x30cc), /*                     kana_NU ヌ KATAKANA LETTER NU */
-    new codepair(0x04c8, 0x30cd), /*                     kana_NE ネ KATAKANA LETTER NE */
-    new codepair(0x04c9, 0x30ce), /*                     kana_NO ノ KATAKANA LETTER NO */
-    new codepair(0x04ca, 0x30cf), /*                     kana_HA ハ KATAKANA LETTER HA */
-    new codepair(0x04cb, 0x30d2), /*                     kana_HI ヒ KATAKANA LETTER HI */
-    new codepair(0x04cc, 0x30d5), /*                     kana_FU フ KATAKANA LETTER HU */
-    new codepair(0x04cd, 0x30d8), /*                     kana_HE ヘ KATAKANA LETTER HE */
-    new codepair(0x04ce, 0x30db), /*                     kana_HO ホ KATAKANA LETTER HO */
-    new codepair(0x04cf, 0x30de), /*                     kana_MA マ KATAKANA LETTER MA */
-    new codepair(0x04d0, 0x30df), /*                     kana_MI ミ KATAKANA LETTER MI */
-    new codepair(0x04d1, 0x30e0), /*                     kana_MU ム KATAKANA LETTER MU */
-    new codepair(0x04d2, 0x30e1), /*                     kana_ME メ KATAKANA LETTER ME */
-    new codepair(0x04d3, 0x30e2), /*                     kana_MO モ KATAKANA LETTER MO */
-    new codepair(0x04d4, 0x30e4), /*                     kana_YA ヤ KATAKANA LETTER YA */
-    new codepair(0x04d5, 0x30e6), /*                     kana_YU ユ KATAKANA LETTER YU */
-    new codepair(0x04d6, 0x30e8), /*                     kana_YO ヨ KATAKANA LETTER YO */
-    new codepair(0x04d7, 0x30e9), /*                     kana_RA ラ KATAKANA LETTER RA */
-    new codepair(0x04d8, 0x30ea), /*                     kana_RI リ KATAKANA LETTER RI */
-    new codepair(0x04d9, 0x30eb), /*                     kana_RU ル KATAKANA LETTER RU */
-    new codepair(0x04da, 0x30ec), /*                     kana_RE レ KATAKANA LETTER RE */
-    new codepair(0x04db, 0x30ed), /*                     kana_RO ロ KATAKANA LETTER RO */
-    new codepair(0x04dc, 0x30ef), /*                     kana_WA ワ KATAKANA LETTER WA */
-    new codepair(0x04dd, 0x30f3), /*                      kana_N ン KATAKANA LETTER N */
-    new codepair(0x04de, 0x309b), /*                 voicedsound ゛ KATAKANA-HIRAGANA VOICED SOUND MARK */
-    new codepair(0x04df, 0x309c), /*             semivoicedsound ゜ KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK */
-    new codepair(0x05ac, 0x060c), /*                Arabic_comma ، ARABIC COMMA */
-    new codepair(0x05bb, 0x061b), /*            Arabic_semicolon ؛ ARABIC SEMICOLON */
-    new codepair(0x05bf, 0x061f), /*        Arabic_question_mark ؟ ARABIC QUESTION MARK */
-    new codepair(0x05c1, 0x0621), /*                Arabic_hamza ء ARABIC LETTER HAMZA */
-    new codepair(0x05c2, 0x0622), /*          Arabic_maddaonalef آ ARABIC LETTER ALEF WITH MADDA ABOVE */
-    new codepair(0x05c3, 0x0623), /*          Arabic_hamzaonalef أ ARABIC LETTER ALEF WITH HAMZA ABOVE */
-    new codepair(0x05c4, 0x0624), /*           Arabic_hamzaonwaw ؤ ARABIC LETTER WAW WITH HAMZA ABOVE */
-    new codepair(0x05c5, 0x0625), /*       Arabic_hamzaunderalef إ ARABIC LETTER ALEF WITH HAMZA BELOW */
-    new codepair(0x05c6, 0x0626), /*           Arabic_hamzaonyeh ئ ARABIC LETTER YEH WITH HAMZA ABOVE */
-    new codepair(0x05c7, 0x0627), /*                 Arabic_alef ا ARABIC LETTER ALEF */
-    new codepair(0x05c8, 0x0628), /*                  Arabic_beh ب ARABIC LETTER BEH */
-    new codepair(0x05c9, 0x0629), /*           Arabic_tehmarbuta ة ARABIC LETTER TEH MARBUTA */
-    new codepair(0x05ca, 0x062a), /*                  Arabic_teh ت ARABIC LETTER TEH */
-    new codepair(0x05cb, 0x062b), /*                 Arabic_theh ث ARABIC LETTER THEH */
-    new codepair(0x05cc, 0x062c), /*                 Arabic_jeem ج ARABIC LETTER JEEM */
-    new codepair(0x05cd, 0x062d), /*                  Arabic_hah ح ARABIC LETTER HAH */
-    new codepair(0x05ce, 0x062e), /*                 Arabic_khah خ ARABIC LETTER KHAH */
-    new codepair(0x05cf, 0x062f), /*                  Arabic_dal د ARABIC LETTER DAL */
-    new codepair(0x05d0, 0x0630), /*                 Arabic_thal ذ ARABIC LETTER THAL */
-    new codepair(0x05d1, 0x0631), /*                   Arabic_ra ر ARABIC LETTER REH */
-    new codepair(0x05d2, 0x0632), /*                 Arabic_zain ز ARABIC LETTER ZAIN */
-    new codepair(0x05d3, 0x0633), /*                 Arabic_seen س ARABIC LETTER SEEN */
-    new codepair(0x05d4, 0x0634), /*                Arabic_sheen ش ARABIC LETTER SHEEN */
-    new codepair(0x05d5, 0x0635), /*                  Arabic_sad ص ARABIC LETTER SAD */
-    new codepair(0x05d6, 0x0636), /*                  Arabic_dad ض ARABIC LETTER DAD */
-    new codepair(0x05d7, 0x0637), /*                  Arabic_tah ط ARABIC LETTER TAH */
-    new codepair(0x05d8, 0x0638), /*                  Arabic_zah ظ ARABIC LETTER ZAH */
-    new codepair(0x05d9, 0x0639), /*                  Arabic_ain ع ARABIC LETTER AIN */
-    new codepair(0x05da, 0x063a), /*                Arabic_ghain غ ARABIC LETTER GHAIN */
-    new codepair(0x05e0, 0x0640), /*              Arabic_tatweel ـ ARABIC TATWEEL */
-    new codepair(0x05e1, 0x0641), /*                  Arabic_feh ف ARABIC LETTER FEH */
-    new codepair(0x05e2, 0x0642), /*                  Arabic_qaf ق ARABIC LETTER QAF */
-    new codepair(0x05e3, 0x0643), /*                  Arabic_kaf ك ARABIC LETTER KAF */
-    new codepair(0x05e4, 0x0644), /*                  Arabic_lam ل ARABIC LETTER LAM */
-    new codepair(0x05e5, 0x0645), /*                 Arabic_meem م ARABIC LETTER MEEM */
-    new codepair(0x05e6, 0x0646), /*                 Arabic_noon ن ARABIC LETTER NOON */
-    new codepair(0x05e7, 0x0647), /*                   Arabic_ha ه ARABIC LETTER HEH */
-    new codepair(0x05e8, 0x0648), /*                  Arabic_waw و ARABIC LETTER WAW */
-    new codepair(0x05e9, 0x0649), /*          Arabic_alefmaksura ى ARABIC LETTER ALEF MAKSURA */
-    new codepair(0x05ea, 0x064a), /*                  Arabic_yeh ي ARABIC LETTER YEH */
-    new codepair(0x05eb, 0x064b), /*             Arabic_fathatan ً ARABIC FATHATAN */
-    new codepair(0x05ec, 0x064c), /*             Arabic_dammatan ٌ ARABIC DAMMATAN */
-    new codepair(0x05ed, 0x064d), /*             Arabic_kasratan ٍ ARABIC KASRATAN */
-    new codepair(0x05ee, 0x064e), /*                Arabic_fatha َ ARABIC FATHA */
-    new codepair(0x05ef, 0x064f), /*                Arabic_damma ُ ARABIC DAMMA */
-    new codepair(0x05f0, 0x0650), /*                Arabic_kasra ِ ARABIC KASRA */
-    new codepair(0x05f1, 0x0651), /*               Arabic_shadda ّ ARABIC SHADDA */
-    new codepair(0x05f2, 0x0652), /*                Arabic_sukun ْ ARABIC SUKUN */
-    new codepair(0x06a1, 0x0452), /*                 Serbian_dje ђ CYRILLIC SMALL LETTER DJE */
-    new codepair(0x06a2, 0x0453), /*               Macedonia_gje ѓ CYRILLIC SMALL LETTER GJE */
-    new codepair(0x06a3, 0x0451), /*                 Cyrillic_io ё CYRILLIC SMALL LETTER IO */
-    new codepair(0x06a4, 0x0454), /*                Ukrainian_ie є CYRILLIC SMALL LETTER UKRAINIAN IE */
-    new codepair(0x06a5, 0x0455), /*               Macedonia_dse ѕ CYRILLIC SMALL LETTER DZE */
-    new codepair(0x06a6, 0x0456), /*                 Ukrainian_i і CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I */
-    new codepair(0x06a7, 0x0457), /*                Ukrainian_yi ї CYRILLIC SMALL LETTER YI */
-    new codepair(0x06a8, 0x0458), /*                 Cyrillic_je ј CYRILLIC SMALL LETTER JE */
-    new codepair(0x06a9, 0x0459), /*                Cyrillic_lje љ CYRILLIC SMALL LETTER LJE */
-    new codepair(0x06aa, 0x045a), /*                Cyrillic_nje њ CYRILLIC SMALL LETTER NJE */
-    new codepair(0x06ab, 0x045b), /*                Serbian_tshe ћ CYRILLIC SMALL LETTER TSHE */
-    new codepair(0x06ac, 0x045c), /*               Macedonia_kje ќ CYRILLIC SMALL LETTER KJE */
-    new codepair(0x06ae, 0x045e), /*         Byelorussian_shortu ў CYRILLIC SMALL LETTER SHORT U */
-    new codepair(0x06af, 0x045f), /*               Cyrillic_dzhe џ CYRILLIC SMALL LETTER DZHE */
-    new codepair(0x06b0, 0x2116), /*                  numerosign № NUMERO SIGN */
-    new codepair(0x06b1, 0x0402), /*                 Serbian_DJE Ђ CYRILLIC CAPITAL LETTER DJE */
-    new codepair(0x06b2, 0x0403), /*               Macedonia_GJE Ѓ CYRILLIC CAPITAL LETTER GJE */
-    new codepair(0x06b3, 0x0401), /*                 Cyrillic_IO Ё CYRILLIC CAPITAL LETTER IO */
-    new codepair(0x06b4, 0x0404), /*                Ukrainian_IE Є CYRILLIC CAPITAL LETTER UKRAINIAN IE */
-    new codepair(0x06b5, 0x0405), /*               Macedonia_DSE Ѕ CYRILLIC CAPITAL LETTER DZE */
-    new codepair(0x06b6, 0x0406), /*                 Ukrainian_I І CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I */
-    new codepair(0x06b7, 0x0407), /*                Ukrainian_YI Ї CYRILLIC CAPITAL LETTER YI */
-    new codepair(0x06b8, 0x0408), /*                 Cyrillic_JE Ј CYRILLIC CAPITAL LETTER JE */
-    new codepair(0x06b9, 0x0409), /*                Cyrillic_LJE Љ CYRILLIC CAPITAL LETTER LJE */
-    new codepair(0x06ba, 0x040a), /*                Cyrillic_NJE Њ CYRILLIC CAPITAL LETTER NJE */
-    new codepair(0x06bb, 0x040b), /*                Serbian_TSHE Ћ CYRILLIC CAPITAL LETTER TSHE */
-    new codepair(0x06bc, 0x040c), /*               Macedonia_KJE Ќ CYRILLIC CAPITAL LETTER KJE */
-    new codepair(0x06be, 0x040e), /*         Byelorussian_SHORTU Ў CYRILLIC CAPITAL LETTER SHORT U */
-    new codepair(0x06bf, 0x040f), /*               Cyrillic_DZHE Џ CYRILLIC CAPITAL LETTER DZHE */
-    new codepair(0x06c0, 0x044e), /*                 Cyrillic_yu ю CYRILLIC SMALL LETTER YU */
-    new codepair(0x06c1, 0x0430), /*                  Cyrillic_a а CYRILLIC SMALL LETTER A */
-    new codepair(0x06c2, 0x0431), /*                 Cyrillic_be б CYRILLIC SMALL LETTER BE */
-    new codepair(0x06c3, 0x0446), /*                Cyrillic_tse ц CYRILLIC SMALL LETTER TSE */
-    new codepair(0x06c4, 0x0434), /*                 Cyrillic_de д CYRILLIC SMALL LETTER DE */
-    new codepair(0x06c5, 0x0435), /*                 Cyrillic_ie е CYRILLIC SMALL LETTER IE */
-    new codepair(0x06c6, 0x0444), /*                 Cyrillic_ef ф CYRILLIC SMALL LETTER EF */
-    new codepair(0x06c7, 0x0433), /*                Cyrillic_ghe г CYRILLIC SMALL LETTER GHE */
-    new codepair(0x06c8, 0x0445), /*                 Cyrillic_ha х CYRILLIC SMALL LETTER HA */
-    new codepair(0x06c9, 0x0438), /*                  Cyrillic_i и CYRILLIC SMALL LETTER I */
-    new codepair(0x06ca, 0x0439), /*             Cyrillic_shorti й CYRILLIC SMALL LETTER SHORT I */
-    new codepair(0x06cb, 0x043a), /*                 Cyrillic_ka к CYRILLIC SMALL LETTER KA */
-    new codepair(0x06cc, 0x043b), /*                 Cyrillic_el л CYRILLIC SMALL LETTER EL */
-    new codepair(0x06cd, 0x043c), /*                 Cyrillic_em м CYRILLIC SMALL LETTER EM */
-    new codepair(0x06ce, 0x043d), /*                 Cyrillic_en н CYRILLIC SMALL LETTER EN */
-    new codepair(0x06cf, 0x043e), /*                  Cyrillic_o о CYRILLIC SMALL LETTER O */
-    new codepair(0x06d0, 0x043f), /*                 Cyrillic_pe п CYRILLIC SMALL LETTER PE */
-    new codepair(0x06d1, 0x044f), /*                 Cyrillic_ya я CYRILLIC SMALL LETTER YA */
-    new codepair(0x06d2, 0x0440), /*                 Cyrillic_er р CYRILLIC SMALL LETTER ER */
-    new codepair(0x06d3, 0x0441), /*                 Cyrillic_es с CYRILLIC SMALL LETTER ES */
-    new codepair(0x06d4, 0x0442), /*                 Cyrillic_te т CYRILLIC SMALL LETTER TE */
-    new codepair(0x06d5, 0x0443), /*                  Cyrillic_u у CYRILLIC SMALL LETTER U */
-    new codepair(0x06d6, 0x0436), /*                Cyrillic_zhe ж CYRILLIC SMALL LETTER ZHE */
-    new codepair(0x06d7, 0x0432), /*                 Cyrillic_ve в CYRILLIC SMALL LETTER VE */
-    new codepair(0x06d8, 0x044c), /*           Cyrillic_softsign ь CYRILLIC SMALL LETTER SOFT SIGN */
-    new codepair(0x06d9, 0x044b), /*               Cyrillic_yeru ы CYRILLIC SMALL LETTER YERU */
-    new codepair(0x06da, 0x0437), /*                 Cyrillic_ze з CYRILLIC SMALL LETTER ZE */
-    new codepair(0x06db, 0x0448), /*                Cyrillic_sha ш CYRILLIC SMALL LETTER SHA */
-    new codepair(0x06dc, 0x044d), /*                  Cyrillic_e э CYRILLIC SMALL LETTER E */
-    new codepair(0x06dd, 0x0449), /*              Cyrillic_shcha щ CYRILLIC SMALL LETTER SHCHA */
-    new codepair(0x06de, 0x0447), /*                Cyrillic_che ч CYRILLIC SMALL LETTER CHE */
-    new codepair(0x06df, 0x044a), /*           Cyrillic_hardsign ъ CYRILLIC SMALL LETTER HARD SIGN */
-    new codepair(0x06e0, 0x042e), /*                 Cyrillic_YU Ю CYRILLIC CAPITAL LETTER YU */
-    new codepair(0x06e1, 0x0410), /*                  Cyrillic_A А CYRILLIC CAPITAL LETTER A */
-    new codepair(0x06e2, 0x0411), /*                 Cyrillic_BE Б CYRILLIC CAPITAL LETTER BE */
-    new codepair(0x06e3, 0x0426), /*                Cyrillic_TSE Ц CYRILLIC CAPITAL LETTER TSE */
-    new codepair(0x06e4, 0x0414), /*                 Cyrillic_DE Д CYRILLIC CAPITAL LETTER DE */
-    new codepair(0x06e5, 0x0415), /*                 Cyrillic_IE Е CYRILLIC CAPITAL LETTER IE */
-    new codepair(0x06e6, 0x0424), /*                 Cyrillic_EF Ф CYRILLIC CAPITAL LETTER EF */
-    new codepair(0x06e7, 0x0413), /*                Cyrillic_GHE Г CYRILLIC CAPITAL LETTER GHE */
-    new codepair(0x06e8, 0x0425), /*                 Cyrillic_HA Х CYRILLIC CAPITAL LETTER HA */
-    new codepair(0x06e9, 0x0418), /*                  Cyrillic_I И CYRILLIC CAPITAL LETTER I */
-    new codepair(0x06ea, 0x0419), /*             Cyrillic_SHORTI Й CYRILLIC CAPITAL LETTER SHORT I */
-    new codepair(0x06eb, 0x041a), /*                 Cyrillic_KA К CYRILLIC CAPITAL LETTER KA */
-    new codepair(0x06ec, 0x041b), /*                 Cyrillic_EL Л CYRILLIC CAPITAL LETTER EL */
-    new codepair(0x06ed, 0x041c), /*                 Cyrillic_EM М CYRILLIC CAPITAL LETTER EM */
-    new codepair(0x06ee, 0x041d), /*                 Cyrillic_EN Н CYRILLIC CAPITAL LETTER EN */
-    new codepair(0x06ef, 0x041e), /*                  Cyrillic_O О CYRILLIC CAPITAL LETTER O */
-    new codepair(0x06f0, 0x041f), /*                 Cyrillic_PE П CYRILLIC CAPITAL LETTER PE */
-    new codepair(0x06f1, 0x042f), /*                 Cyrillic_YA Я CYRILLIC CAPITAL LETTER YA */
-    new codepair(0x06f2, 0x0420), /*                 Cyrillic_ER Р CYRILLIC CAPITAL LETTER ER */
-    new codepair(0x06f3, 0x0421), /*                 Cyrillic_ES С CYRILLIC CAPITAL LETTER ES */
-    new codepair(0x06f4, 0x0422), /*                 Cyrillic_TE Т CYRILLIC CAPITAL LETTER TE */
-    new codepair(0x06f5, 0x0423), /*                  Cyrillic_U У CYRILLIC CAPITAL LETTER U */
-    new codepair(0x06f6, 0x0416), /*                Cyrillic_ZHE Ж CYRILLIC CAPITAL LETTER ZHE */
-    new codepair(0x06f7, 0x0412), /*                 Cyrillic_VE В CYRILLIC CAPITAL LETTER VE */
-    new codepair(0x06f8, 0x042c), /*           Cyrillic_SOFTSIGN Ь CYRILLIC CAPITAL LETTER SOFT SIGN */
-    new codepair(0x06f9, 0x042b), /*               Cyrillic_YERU Ы CYRILLIC CAPITAL LETTER YERU */
-    new codepair(0x06fa, 0x0417), /*                 Cyrillic_ZE З CYRILLIC CAPITAL LETTER ZE */
-    new codepair(0x06fb, 0x0428), /*                Cyrillic_SHA Ш CYRILLIC CAPITAL LETTER SHA */
-    new codepair(0x06fc, 0x042d), /*                  Cyrillic_E Э CYRILLIC CAPITAL LETTER E */
-    new codepair(0x06fd, 0x0429), /*              Cyrillic_SHCHA Щ CYRILLIC CAPITAL LETTER SHCHA */
-    new codepair(0x06fe, 0x0427), /*                Cyrillic_CHE Ч CYRILLIC CAPITAL LETTER CHE */
-    new codepair(0x06ff, 0x042a), /*           Cyrillic_HARDSIGN Ъ CYRILLIC CAPITAL LETTER HARD SIGN */
-    new codepair(0x07a1, 0x0386), /*           Greek_ALPHAaccent Ά GREEK CAPITAL LETTER ALPHA WITH TONOS */
-    new codepair(0x07a2, 0x0388), /*         Greek_EPSILONaccent Έ GREEK CAPITAL LETTER EPSILON WITH TONOS */
-    new codepair(0x07a3, 0x0389), /*             Greek_ETAaccent Ή GREEK CAPITAL LETTER ETA WITH TONOS */
-    new codepair(0x07a4, 0x038a), /*            Greek_IOTAaccent Ί GREEK CAPITAL LETTER IOTA WITH TONOS */
-    new codepair(0x07a5, 0x03aa), /*         Greek_IOTAdiaeresis Ϊ GREEK CAPITAL LETTER IOTA WITH DIALYTIKA */
-    new codepair(0x07a7, 0x038c), /*         Greek_OMICRONaccent Ό GREEK CAPITAL LETTER OMICRON WITH TONOS */
-    new codepair(0x07a8, 0x038e), /*         Greek_UPSILONaccent Ύ GREEK CAPITAL LETTER UPSILON WITH TONOS */
-    new codepair(0x07a9, 0x03ab), /*       Greek_UPSILONdieresis Ϋ GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA */
-    new codepair(0x07ab, 0x038f), /*           Greek_OMEGAaccent Ώ GREEK CAPITAL LETTER OMEGA WITH TONOS */
-    new codepair(0x07ae, 0x0385), /*        Greek_accentdieresis ΅ GREEK DIALYTIKA TONOS */
-    new codepair(0x07af, 0x2015), /*              Greek_horizbar ― HORIZONTAL BAR */
-    new codepair(0x07b1, 0x03ac), /*           Greek_alphaaccent ά GREEK SMALL LETTER ALPHA WITH TONOS */
-    new codepair(0x07b2, 0x03ad), /*         Greek_epsilonaccent έ GREEK SMALL LETTER EPSILON WITH TONOS */
-    new codepair(0x07b3, 0x03ae), /*             Greek_etaaccent ή GREEK SMALL LETTER ETA WITH TONOS */
-    new codepair(0x07b4, 0x03af), /*            Greek_iotaaccent ί GREEK SMALL LETTER IOTA WITH TONOS */
-    new codepair(0x07b5, 0x03ca), /*          Greek_iotadieresis ϊ GREEK SMALL LETTER IOTA WITH DIALYTIKA */
-    new codepair(0x07b6, 0x0390), /*    Greek_iotaaccentdieresis ΐ GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS */
-    new codepair(0x07b7, 0x03cc), /*         Greek_omicronaccent ό GREEK SMALL LETTER OMICRON WITH TONOS */
-    new codepair(0x07b8, 0x03cd), /*         Greek_upsilonaccent ύ GREEK SMALL LETTER UPSILON WITH TONOS */
-    new codepair(0x07b9, 0x03cb), /*       Greek_upsilondieresis ϋ GREEK SMALL LETTER UPSILON WITH DIALYTIKA */
-    new codepair(0x07ba, 0x03b0), /* Greek_upsilonaccentdieresis ΰ GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS */
-    new codepair(0x07bb, 0x03ce), /*           Greek_omegaaccent ώ GREEK SMALL LETTER OMEGA WITH TONOS */
-    new codepair(0x07c1, 0x0391), /*                 Greek_ALPHA Α GREEK CAPITAL LETTER ALPHA */
-    new codepair(0x07c2, 0x0392), /*                  Greek_BETA Β GREEK CAPITAL LETTER BETA */
-    new codepair(0x07c3, 0x0393), /*                 Greek_GAMMA Γ GREEK CAPITAL LETTER GAMMA */
-    new codepair(0x07c4, 0x0394), /*                 Greek_DELTA Δ GREEK CAPITAL LETTER DELTA */
-    new codepair(0x07c5, 0x0395), /*               Greek_EPSILON Ε GREEK CAPITAL LETTER EPSILON */
-    new codepair(0x07c6, 0x0396), /*                  Greek_ZETA Ζ GREEK CAPITAL LETTER ZETA */
-    new codepair(0x07c7, 0x0397), /*                   Greek_ETA Η GREEK CAPITAL LETTER ETA */
-    new codepair(0x07c8, 0x0398), /*                 Greek_THETA Θ GREEK CAPITAL LETTER THETA */
-    new codepair(0x07c9, 0x0399), /*                  Greek_IOTA Ι GREEK CAPITAL LETTER IOTA */
-    new codepair(0x07ca, 0x039a), /*                 Greek_KAPPA Κ GREEK CAPITAL LETTER KAPPA */
-    new codepair(0x07cb, 0x039b), /*                Greek_LAMBDA Λ GREEK CAPITAL LETTER LAMDA */
-    new codepair(0x07cc, 0x039c), /*                    Greek_MU Μ GREEK CAPITAL LETTER MU */
-    new codepair(0x07cd, 0x039d), /*                    Greek_NU Ν GREEK CAPITAL LETTER NU */
-    new codepair(0x07ce, 0x039e), /*                    Greek_XI Ξ GREEK CAPITAL LETTER XI */
-    new codepair(0x07cf, 0x039f), /*               Greek_OMICRON Ο GREEK CAPITAL LETTER OMICRON */
-    new codepair(0x07d0, 0x03a0), /*                    Greek_PI Π GREEK CAPITAL LETTER PI */
-    new codepair(0x07d1, 0x03a1), /*                   Greek_RHO Ρ GREEK CAPITAL LETTER RHO */
-    new codepair(0x07d2, 0x03a3), /*                 Greek_SIGMA Σ GREEK CAPITAL LETTER SIGMA */
-    new codepair(0x07d4, 0x03a4), /*                   Greek_TAU Τ GREEK CAPITAL LETTER TAU */
-    new codepair(0x07d5, 0x03a5), /*               Greek_UPSILON Υ GREEK CAPITAL LETTER UPSILON */
-    new codepair(0x07d6, 0x03a6), /*                   Greek_PHI Φ GREEK CAPITAL LETTER PHI */
-    new codepair(0x07d7, 0x03a7), /*                   Greek_CHI Χ GREEK CAPITAL LETTER CHI */
-    new codepair(0x07d8, 0x03a8), /*                   Greek_PSI Ψ GREEK CAPITAL LETTER PSI */
-    new codepair(0x07d9, 0x03a9), /*                 Greek_OMEGA Ω GREEK CAPITAL LETTER OMEGA */
-    new codepair(0x07e1, 0x03b1), /*                 Greek_alpha α GREEK SMALL LETTER ALPHA */
-    new codepair(0x07e2, 0x03b2), /*                  Greek_beta β GREEK SMALL LETTER BETA */
-    new codepair(0x07e3, 0x03b3), /*                 Greek_gamma γ GREEK SMALL LETTER GAMMA */
-    new codepair(0x07e4, 0x03b4), /*                 Greek_delta δ GREEK SMALL LETTER DELTA */
-    new codepair(0x07e5, 0x03b5), /*               Greek_epsilon ε GREEK SMALL LETTER EPSILON */
-    new codepair(0x07e6, 0x03b6), /*                  Greek_zeta ζ GREEK SMALL LETTER ZETA */
-    new codepair(0x07e7, 0x03b7), /*                   Greek_eta η GREEK SMALL LETTER ETA */
-    new codepair(0x07e8, 0x03b8), /*                 Greek_theta θ GREEK SMALL LETTER THETA */
-    new codepair(0x07e9, 0x03b9), /*                  Greek_iota ι GREEK SMALL LETTER IOTA */
-    new codepair(0x07ea, 0x03ba), /*                 Greek_kappa κ GREEK SMALL LETTER KAPPA */
-    new codepair(0x07eb, 0x03bb), /*                Greek_lambda λ GREEK SMALL LETTER LAMDA */
-    new codepair(0x07ec, 0x03bc), /*                    Greek_mu μ GREEK SMALL LETTER MU */
-    new codepair(0x07ed, 0x03bd), /*                    Greek_nu ν GREEK SMALL LETTER NU */
-    new codepair(0x07ee, 0x03be), /*                    Greek_xi ξ GREEK SMALL LETTER XI */
-    new codepair(0x07ef, 0x03bf), /*               Greek_omicron ο GREEK SMALL LETTER OMICRON */
-    new codepair(0x07f0, 0x03c0), /*                    Greek_pi π GREEK SMALL LETTER PI */
-    new codepair(0x07f1, 0x03c1), /*                   Greek_rho ρ GREEK SMALL LETTER RHO */
-    new codepair(0x07f2, 0x03c3), /*                 Greek_sigma σ GREEK SMALL LETTER SIGMA */
-    new codepair(0x07f3, 0x03c2), /*       Greek_finalsmallsigma ς GREEK SMALL LETTER FINAL SIGMA */
-    new codepair(0x07f4, 0x03c4), /*                   Greek_tau τ GREEK SMALL LETTER TAU */
-    new codepair(0x07f5, 0x03c5), /*               Greek_upsilon υ GREEK SMALL LETTER UPSILON */
-    new codepair(0x07f6, 0x03c6), /*                   Greek_phi φ GREEK SMALL LETTER PHI */
-    new codepair(0x07f7, 0x03c7), /*                   Greek_chi χ GREEK SMALL LETTER CHI */
-    new codepair(0x07f8, 0x03c8), /*                   Greek_psi ψ GREEK SMALL LETTER PSI */
-    new codepair(0x07f9, 0x03c9), /*                 Greek_omega ω GREEK SMALL LETTER OMEGA */
-    new codepair(0x08a1, 0x23b7), /*                 leftradical ⎷ ??? */
-    new codepair(0x08a2, 0x250c), /*              topleftradical ┌ BOX DRAWINGS LIGHT DOWN AND RIGHT */
-    new codepair(0x08a3, 0x2500), /*              horizconnector ─ BOX DRAWINGS LIGHT HORIZONTAL */
-    new codepair(0x08a4, 0x2320), /*                 topintegral ⌠ TOP HALF INTEGRAL */
-    new codepair(0x08a5, 0x2321), /*                 botintegral ⌡ BOTTOM HALF INTEGRAL */
-    new codepair(0x08a6, 0x2502), /*               vertconnector │ BOX DRAWINGS LIGHT VERTICAL */
-    new codepair(0x08a7, 0x23a1), /*            topleftsqbracket ⎡ ??? */
-    new codepair(0x08a8, 0x23a3), /*            botleftsqbracket ⎣ ??? */
-    new codepair(0x08a9, 0x23a4), /*           toprightsqbracket ⎤ ??? */
-    new codepair(0x08aa, 0x23a6), /*           botrightsqbracket ⎦ ??? */
-    new codepair(0x08ab, 0x239b), /*               topleftparens ⎛ ??? */
-    new codepair(0x08ac, 0x239d), /*               botleftparens ⎝ ??? */
-    new codepair(0x08ad, 0x239e), /*              toprightparens ⎞ ??? */
-    new codepair(0x08ae, 0x23a0), /*              botrightparens ⎠ ??? */
-    new codepair(0x08af, 0x23a8), /*        leftmiddlecurlybrace ⎨ ??? */
-    new codepair(0x08b0, 0x23ac), /*       rightmiddlecurlybrace ⎬ ??? */
+    new codepair(0x01a1, 0x0104), /*                     Aogonek TIN CAPITAL LETTER A WITH OGONEK */
+    new codepair(0x01a2, 0x02d8), /*                       breve EVE */
+    new codepair(0x01a3, 0x0141), /*                     Lstroke TIN CAPITAL LETTER L WITH STROKE */
+    new codepair(0x01a5, 0x013d), /*                      Lcaron TIN CAPITAL LETTER L WITH CARON */
+    new codepair(0x01a6, 0x015a), /*                      Sacute TIN CAPITAL LETTER S WITH ACUTE */
+    new codepair(0x01a9, 0x0160), /*                      Scaron TIN CAPITAL LETTER S WITH CARON */
+    new codepair(0x01aa, 0x015e), /*                    Scedilla TIN CAPITAL LETTER S WITH CEDILLA */
+    new codepair(0x01ab, 0x0164), /*                      Tcaron TIN CAPITAL LETTER T WITH CARON */
+    new codepair(0x01ac, 0x0179), /*                      Zacute TIN CAPITAL LETTER Z WITH ACUTE */
+    new codepair(0x01ae, 0x017d), /*                      Zcaron TIN CAPITAL LETTER Z WITH CARON */
+    new codepair(0x01af, 0x017b), /*                   Zabovedot TIN CAPITAL LETTER Z WITH DOT ABOVE */
+    new codepair(0x01b1, 0x0105), /*                     aogonek TIN SMALL LETTER A WITH OGONEK */
+    new codepair(0x01b2, 0x02db), /*                      ogonek ONEK */
+    new codepair(0x01b3, 0x0142), /*                     lstroke TIN SMALL LETTER L WITH STROKE */
+    new codepair(0x01b5, 0x013e), /*                      lcaron TIN SMALL LETTER L WITH CARON */
+    new codepair(0x01b6, 0x015b), /*                      sacute TIN SMALL LETTER S WITH ACUTE */
+    new codepair(0x01b7, 0x02c7), /*                       caron RON */
+    new codepair(0x01b9, 0x0161), /*                      scaron TIN SMALL LETTER S WITH CARON */
+    new codepair(0x01ba, 0x015f), /*                    scedilla TIN SMALL LETTER S WITH CEDILLA */
+    new codepair(0x01bb, 0x0165), /*                      tcaron TIN SMALL LETTER T WITH CARON */
+    new codepair(0x01bc, 0x017a), /*                      zacute TIN SMALL LETTER Z WITH ACUTE */
+    new codepair(0x01bd, 0x02dd), /*                 doubleacute UBLE ACUTE ACCENT */
+    new codepair(0x01be, 0x017e), /*                      zcaron TIN SMALL LETTER Z WITH CARON */
+    new codepair(0x01bf, 0x017c), /*                   zabovedot TIN SMALL LETTER Z WITH DOT ABOVE */
+    new codepair(0x01c0, 0x0154), /*                      Racute TIN CAPITAL LETTER R WITH ACUTE */
+    new codepair(0x01c3, 0x0102), /*                      Abreve TIN CAPITAL LETTER A WITH BREVE */
+    new codepair(0x01c5, 0x0139), /*                      Lacute TIN CAPITAL LETTER L WITH ACUTE */
+    new codepair(0x01c6, 0x0106), /*                      Cacute TIN CAPITAL LETTER C WITH ACUTE */
+    new codepair(0x01c8, 0x010c), /*                      Ccaron TIN CAPITAL LETTER C WITH CARON */
+    new codepair(0x01ca, 0x0118), /*                     Eogonek TIN CAPITAL LETTER E WITH OGONEK */
+    new codepair(0x01cc, 0x011a), /*                      Ecaron TIN CAPITAL LETTER E WITH CARON */
+    new codepair(0x01cf, 0x010e), /*                      Dcaron TIN CAPITAL LETTER D WITH CARON */
+    new codepair(0x01d0, 0x0110), /*                     Dstroke TIN CAPITAL LETTER D WITH STROKE */
+    new codepair(0x01d1, 0x0143), /*                      Nacute TIN CAPITAL LETTER N WITH ACUTE */
+    new codepair(0x01d2, 0x0147), /*                      Ncaron TIN CAPITAL LETTER N WITH CARON */
+    new codepair(0x01d5, 0x0150), /*                Odoubleacute TIN CAPITAL LETTER O WITH DOUBLE ACUTE */
+    new codepair(0x01d8, 0x0158), /*                      Rcaron TIN CAPITAL LETTER R WITH CARON */
+    new codepair(0x01d9, 0x016e), /*                       Uring TIN CAPITAL LETTER U WITH RING ABOVE */
+    new codepair(0x01db, 0x0170), /*                Udoubleacute TIN CAPITAL LETTER U WITH DOUBLE ACUTE */
+    new codepair(0x01de, 0x0162), /*                    Tcedilla TIN CAPITAL LETTER T WITH CEDILLA */
+    new codepair(0x01e0, 0x0155), /*                      racute TIN SMALL LETTER R WITH ACUTE */
+    new codepair(0x01e3, 0x0103), /*                      abreve TIN SMALL LETTER A WITH BREVE */
+    new codepair(0x01e5, 0x013a), /*                      lacute TIN SMALL LETTER L WITH ACUTE */
+    new codepair(0x01e6, 0x0107), /*                      cacute TIN SMALL LETTER C WITH ACUTE */
+    new codepair(0x01e8, 0x010d), /*                      ccaron TIN SMALL LETTER C WITH CARON */
+    new codepair(0x01ea, 0x0119), /*                     eogonek TIN SMALL LETTER E WITH OGONEK */
+    new codepair(0x01ec, 0x011b), /*                      ecaron TIN SMALL LETTER E WITH CARON */
+    new codepair(0x01ef, 0x010f), /*                      dcaron TIN SMALL LETTER D WITH CARON */
+    new codepair(0x01f0, 0x0111), /*                     dstroke TIN SMALL LETTER D WITH STROKE */
+    new codepair(0x01f1, 0x0144), /*                      nacute TIN SMALL LETTER N WITH ACUTE */
+    new codepair(0x01f2, 0x0148), /*                      ncaron TIN SMALL LETTER N WITH CARON */
+    new codepair(0x01f5, 0x0151), /*                odoubleacute TIN SMALL LETTER O WITH DOUBLE ACUTE */
+    new codepair(0x01f8, 0x0159), /*                      rcaron TIN SMALL LETTER R WITH CARON */
+    new codepair(0x01f9, 0x016f), /*                       uring TIN SMALL LETTER U WITH RING ABOVE */
+    new codepair(0x01fb, 0x0171), /*                udoubleacute TIN SMALL LETTER U WITH DOUBLE ACUTE */
+    new codepair(0x01fe, 0x0163), /*                    tcedilla TIN SMALL LETTER T WITH CEDILLA */
+    new codepair(0x01ff, 0x02d9), /*                    abovedot T ABOVE */
+    new codepair(0x02a1, 0x0126), /*                     Hstroke TIN CAPITAL LETTER H WITH STROKE */
+    new codepair(0x02a6, 0x0124), /*                 Hcircumflex TIN CAPITAL LETTER H WITH CIRCUMFLEX */
+    new codepair(0x02a9, 0x0130), /*                   Iabovedot TIN CAPITAL LETTER I WITH DOT ABOVE */
+    new codepair(0x02ab, 0x011e), /*                      Gbreve TIN CAPITAL LETTER G WITH BREVE */
+    new codepair(0x02ac, 0x0134), /*                 Jcircumflex TIN CAPITAL LETTER J WITH CIRCUMFLEX */
+    new codepair(0x02b1, 0x0127), /*                     hstroke TIN SMALL LETTER H WITH STROKE */
+    new codepair(0x02b6, 0x0125), /*                 hcircumflex TIN SMALL LETTER H WITH CIRCUMFLEX */
+    new codepair(0x02b9, 0x0131), /*                    idotless TIN SMALL LETTER DOTLESS I */
+    new codepair(0x02bb, 0x011f), /*                      gbreve TIN SMALL LETTER G WITH BREVE */
+    new codepair(0x02bc, 0x0135), /*                 jcircumflex TIN SMALL LETTER J WITH CIRCUMFLEX */
+    new codepair(0x02c5, 0x010a), /*                   Cabovedot TIN CAPITAL LETTER C WITH DOT ABOVE */
+    new codepair(0x02c6, 0x0108), /*                 Ccircumflex TIN CAPITAL LETTER C WITH CIRCUMFLEX */
+    new codepair(0x02d5, 0x0120), /*                   Gabovedot TIN CAPITAL LETTER G WITH DOT ABOVE */
+    new codepair(0x02d8, 0x011c), /*                 Gcircumflex TIN CAPITAL LETTER G WITH CIRCUMFLEX */
+    new codepair(0x02dd, 0x016c), /*                      Ubreve TIN CAPITAL LETTER U WITH BREVE */
+    new codepair(0x02de, 0x015c), /*                 Scircumflex TIN CAPITAL LETTER S WITH CIRCUMFLEX */
+    new codepair(0x02e5, 0x010b), /*                   cabovedot TIN SMALL LETTER C WITH DOT ABOVE */
+    new codepair(0x02e6, 0x0109), /*                 ccircumflex TIN SMALL LETTER C WITH CIRCUMFLEX */
+    new codepair(0x02f5, 0x0121), /*                   gabovedot TIN SMALL LETTER G WITH DOT ABOVE */
+    new codepair(0x02f8, 0x011d), /*                 gcircumflex TIN SMALL LETTER G WITH CIRCUMFLEX */
+    new codepair(0x02fd, 0x016d), /*                      ubreve TIN SMALL LETTER U WITH BREVE */
+    new codepair(0x02fe, 0x015d), /*                 scircumflex TIN SMALL LETTER S WITH CIRCUMFLEX */
+    new codepair(0x03a2, 0x0138), /*                         kra TIN SMALL LETTER KRA */
+    new codepair(0x03a3, 0x0156), /*                    Rcedilla TIN CAPITAL LETTER R WITH CEDILLA */
+    new codepair(0x03a5, 0x0128), /*                      Itilde TIN CAPITAL LETTER I WITH TILDE */
+    new codepair(0x03a6, 0x013b), /*                    Lcedilla TIN CAPITAL LETTER L WITH CEDILLA */
+    new codepair(0x03aa, 0x0112), /*                     Emacron APITAL LETTER E WITH MACRON */
+    new codepair(0x03ab, 0x0122), /*                    Gcedilla TIN CAPITAL LETTER G WITH CEDILLA */
+    new codepair(0x03ac, 0x0166), /*                      Tslash TIN CAPITAL LETTER T WITH STROKE */
+    new codepair(0x03b3, 0x0157), /*                    rcedilla TIN SMALL LETTER R WITH CEDILLA */
+    new codepair(0x03b5, 0x0129), /*                      itilde TIN SMALL LETTER I WITH TILDE */
+    new codepair(0x03b6, 0x013c), /*                    lcedilla TIN SMALL LETTER L WITH CEDILLA */
+    new codepair(0x03ba, 0x0113), /*                     emacron TIN SMALL LETTER E WITH MACRON */
+    new codepair(0x03bb, 0x0123), /*                    gcedilla TIN SMALL LETTER G WITH CEDILLA */
+    new codepair(0x03bc, 0x0167), /*                      tslash TIN SMALL LETTER T WITH STROKE */
+    new codepair(0x03bd, 0x014a), /*                         ENG TIN CAPITAL LETTER ENG */
+    new codepair(0x03bf, 0x014b), /*                         eng TIN SMALL LETTER ENG */
+    new codepair(0x03c0, 0x0100), /*                     Amacron TIN CAPITAL LETTER A WITH MACRON */
+    new codepair(0x03c7, 0x012e), /*                     Iogonek TIN CAPITAL LETTER I WITH OGONEK */
+    new codepair(0x03cc, 0x0116), /*                   Eabovedot TIN CAPITAL LETTER E WITH DOT ABOVE */
+    new codepair(0x03cf, 0x012a), /*                     Imacron TIN CAPITAL LETTER I WITH MACRON */
+    new codepair(0x03d1, 0x0145), /*                    Ncedilla TIN CAPITAL LETTER N WITH CEDILLA */
+    new codepair(0x03d2, 0x014c), /*                     Omacron TIN CAPITAL LETTER O WITH MACRON */
+    new codepair(0x03d3, 0x0136), /*                    Kcedilla TIN CAPITAL LETTER K WITH CEDILLA */
+    new codepair(0x03d9, 0x0172), /*                     Uogonek TIN CAPITAL LETTER U WITH OGONEK */
+    new codepair(0x03dd, 0x0168), /*                      Utilde TIN CAPITAL LETTER U WITH TILDE */
+    new codepair(0x03de, 0x016a), /*                     Umacron TIN CAPITAL LETTER U WITH MACRON */
+    new codepair(0x03e0, 0x0101), /*                     amacron TIN SMALL LETTER A WITH MACRON */
+    new codepair(0x03e7, 0x012f), /*                     iogonek TIN SMALL LETTER I WITH OGONEK */
+    new codepair(0x03ec, 0x0117), /*                   eabovedot TIN SMALL LETTER E WITH DOT ABOVE */
+    new codepair(0x03ef, 0x012b), /*                     imacron TIN SMALL LETTER I WITH MACRON */
+    new codepair(0x03f1, 0x0146), /*                    ncedilla TIN SMALL LETTER N WITH CEDILLA */
+    new codepair(0x03f2, 0x014d), /*                     omacron TIN SMALL LETTER O WITH MACRON */
+    new codepair(0x03f3, 0x0137), /*                    kcedilla TIN SMALL LETTER K WITH CEDILLA */
+    new codepair(0x03f9, 0x0173), /*                     uogonek TIN SMALL LETTER U WITH OGONEK */
+    new codepair(0x03fd, 0x0169), /*                      utilde TIN SMALL LETTER U WITH TILDE */
+    new codepair(0x03fe, 0x016b), /*                     umacron TIN SMALL LETTER U WITH MACRON */
+    new codepair(0x047e, 0x203e), /*                    overline VERLINE */
+    new codepair(0x04a1, 0x3002), /*               kana_fullstop DEOGRAPHIC FULL STOP */
+    new codepair(0x04a2, 0x300c), /*         kana_openingbracket EFT CORNER BRACKET */
+    new codepair(0x04a3, 0x300d), /*         kana_closingbracket IGHT CORNER BRACKET */
+    new codepair(0x04a4, 0x3001), /*                  kana_comma DEOGRAPHIC COMMA */
+    new codepair(0x04a5, 0x30fb), /*            kana_conjunctive ATAKANA MIDDLE DOT */
+    new codepair(0x04a6, 0x30f2), /*                     kana_WO ATAKANA LETTER WO */
+    new codepair(0x04a7, 0x30a1), /*                      kana_a ATAKANA LETTER SMALL A */
+    new codepair(0x04a8, 0x30a3), /*                      kana_i ATAKANA LETTER SMALL I */
+    new codepair(0x04a9, 0x30a5), /*                      kana_u ATAKANA LETTER SMALL U */
+    new codepair(0x04aa, 0x30a7), /*                      kana_e ATAKANA LETTER SMALL E */
+    new codepair(0x04ab, 0x30a9), /*                      kana_o ATAKANA LETTER SMALL O */
+    new codepair(0x04ac, 0x30e3), /*                     kana_ya ATAKANA LETTER SMALL YA */
+    new codepair(0x04ad, 0x30e5), /*                     kana_yu ATAKANA LETTER SMALL YU */
+    new codepair(0x04ae, 0x30e7), /*                     kana_yo ATAKANA LETTER SMALL YO */
+    new codepair(0x04af, 0x30c3), /*                    kana_tsu ATAKANA LETTER SMALL TU */
+    new codepair(0x04b0, 0x30fc), /*              prolongedsound ATAKANA-HIRAGANA PROLONGED SOUND MARK */
+    new codepair(0x04b1, 0x30a2), /*                      kana_A ATAKANA LETTER A */
+    new codepair(0x04b2, 0x30a4), /*                      kana_I ATAKANA LETTER I */
+    new codepair(0x04b3, 0x30a6), /*                      kana_U ATAKANA LETTER U */
+    new codepair(0x04b4, 0x30a8), /*                      kana_E ATAKANA LETTER E */
+    new codepair(0x04b5, 0x30aa), /*                      kana_O ATAKANA LETTER O */
+    new codepair(0x04b6, 0x30ab), /*                     kana_KA ATAKANA LETTER KA */
+    new codepair(0x04b7, 0x30ad), /*                     kana_KI ATAKANA LETTER KI */
+    new codepair(0x04b8, 0x30af), /*                     kana_KU ATAKANA LETTER KU */
+    new codepair(0x04b9, 0x30b1), /*                     kana_KE ATAKANA LETTER KE */
+    new codepair(0x04ba, 0x30b3), /*                     kana_KO ATAKANA LETTER KO */
+    new codepair(0x04bb, 0x30b5), /*                     kana_SA ATAKANA LETTER SA */
+    new codepair(0x04bc, 0x30b7), /*                    kana_SHI ATAKANA LETTER SI */
+    new codepair(0x04bd, 0x30b9), /*                     kana_SU ATAKANA LETTER SU */
+    new codepair(0x04be, 0x30bb), /*                     kana_SE ATAKANA LETTER SE */
+    new codepair(0x04bf, 0x30bd), /*                     kana_SO ATAKANA LETTER SO */
+    new codepair(0x04c0, 0x30bf), /*                     kana_TA ATAKANA LETTER TA */
+    new codepair(0x04c1, 0x30c1), /*                    kana_CHI ATAKANA LETTER TI */
+    new codepair(0x04c2, 0x30c4), /*                    kana_TSU ATAKANA LETTER TU */
+    new codepair(0x04c3, 0x30c6), /*                     kana_TE ATAKANA LETTER TE */
+    new codepair(0x04c4, 0x30c8), /*                     kana_TO ATAKANA LETTER TO */
+    new codepair(0x04c5, 0x30ca), /*                     kana_NA ATAKANA LETTER NA */
+    new codepair(0x04c6, 0x30cb), /*                     kana_NI ATAKANA LETTER NI */
+    new codepair(0x04c7, 0x30cc), /*                     kana_NU NA LETTER NU */
+    new codepair(0x04c8, 0x30cd), /*                     kana_NE ATAKANA LETTER NE */
+    new codepair(0x04c9, 0x30ce), /*                     kana_NO ATAKANA LETTER NO */
+    new codepair(0x04ca, 0x30cf), /*                     kana_HA ATAKANA LETTER HA */
+    new codepair(0x04cb, 0x30d2), /*                     kana_HI ATAKANA LETTER HI */
+    new codepair(0x04cc, 0x30d5), /*                     kana_FU ATAKANA LETTER HU */
+    new codepair(0x04cd, 0x30d8), /*                     kana_HE ATAKANA LETTER HE */
+    new codepair(0x04ce, 0x30db), /*                     kana_HO ATAKANA LETTER HO */
+    new codepair(0x04cf, 0x30de), /*                     kana_MA ATAKANA LETTER MA */
+    new codepair(0x04d0, 0x30df), /*                     kana_MI ATAKANA LETTER MI */
+    new codepair(0x04d1, 0x30e0), /*                     kana_MU ATAKANA LETTER MU */
+    new codepair(0x04d2, 0x30e1), /*                     kana_ME ATAKANA LETTER ME */
+    new codepair(0x04d3, 0x30e2), /*                     kana_MO ATAKANA LETTER MO */
+    new codepair(0x04d4, 0x30e4), /*                     kana_YA ATAKANA LETTER YA */
+    new codepair(0x04d5, 0x30e6), /*                     kana_YU ATAKANA LETTER YU */
+    new codepair(0x04d6, 0x30e8), /*                     kana_YO ATAKANA LETTER YO */
+    new codepair(0x04d7, 0x30e9), /*                     kana_RA ATAKANA LETTER RA */
+    new codepair(0x04d8, 0x30ea), /*                     kana_RI ATAKANA LETTER RI */
+    new codepair(0x04d9, 0x30eb), /*                     kana_RU ATAKANA LETTER RU */
+    new codepair(0x04da, 0x30ec), /*                     kana_RE NA LETTER RE */
+    new codepair(0x04db, 0x30ed), /*                     kana_RO ATAKANA LETTER RO */
+    new codepair(0x04dc, 0x30ef), /*                     kana_WA ATAKANA LETTER WA */
+    new codepair(0x04dd, 0x30f3), /*                      kana_N ATAKANA LETTER N */
+    new codepair(0x04de, 0x309b), /*                 voicedsound ATAKANA-HIRAGANA VOICED SOUND MARK */
+    new codepair(0x04df, 0x309c), /*             semivoicedsound ATAKANA-HIRAGANA SEMI-VOICED SOUND MARK */
+    new codepair(0x05ac, 0x060c), /*                Arabic_comma ABIC COMMA */
+    new codepair(0x05bb, 0x061b), /*            Arabic_semicolon ABIC SEMICOLON */
+    new codepair(0x05bf, 0x061f), /*        Arabic_question_mark ABIC QUESTION MARK */
+    new codepair(0x05c1, 0x0621), /*                Arabic_hamza ABIC LETTER HAMZA */
+    new codepair(0x05c2, 0x0622), /*          Arabic_maddaonalef ABIC LETTER ALEF WITH MADDA ABOVE */
+    new codepair(0x05c3, 0x0623), /*          Arabic_hamzaonalef ABIC LETTER ALEF WITH HAMZA ABOVE */
+    new codepair(0x05c4, 0x0624), /*           Arabic_hamzaonwaw ABIC LETTER WAW WITH HAMZA ABOVE */
+    new codepair(0x05c5, 0x0625), /*       Arabic_hamzaunderalef ABIC LETTER ALEF WITH HAMZA BELOW */
+    new codepair(0x05c6, 0x0626), /*           Arabic_hamzaonyeh ABIC LETTER YEH WITH HAMZA ABOVE */
+    new codepair(0x05c7, 0x0627), /*                 Arabic_alef ABIC LETTER ALEF */
+    new codepair(0x05c8, 0x0628), /*                  Arabic_beh ABIC LETTER BEH */
+    new codepair(0x05c9, 0x0629), /*           Arabic_tehmarbuta ABIC LETTER TEH MARBUTA */
+    new codepair(0x05ca, 0x062a), /*                  Arabic_teh ABIC LETTER TEH */
+    new codepair(0x05cb, 0x062b), /*                 Arabic_theh ABIC LETTER THEH */
+    new codepair(0x05cc, 0x062c), /*                 Arabic_jeem LETTER JEEM */
+    new codepair(0x05cd, 0x062d), /*                  Arabic_hah ABIC LETTER HAH */
+    new codepair(0x05ce, 0x062e), /*                 Arabic_khah ABIC LETTER KHAH */
+    new codepair(0x05cf, 0x062f), /*                  Arabic_dal ABIC LETTER DAL */
+    new codepair(0x05d0, 0x0630), /*                 Arabic_thal ABIC LETTER THAL */
+    new codepair(0x05d1, 0x0631), /*                   Arabic_ra ABIC LETTER REH */
+    new codepair(0x05d2, 0x0632), /*                 Arabic_zain ABIC LETTER ZAIN */
+    new codepair(0x05d3, 0x0633), /*                 Arabic_seen ABIC LETTER SEEN */
+    new codepair(0x05d4, 0x0634), /*                Arabic_sheen ABIC LETTER SHEEN */
+    new codepair(0x05d5, 0x0635), /*                  Arabic_sad ABIC LETTER SAD */
+    new codepair(0x05d6, 0x0636), /*                  Arabic_dad ABIC LETTER DAD */
+    new codepair(0x05d7, 0x0637), /*                  Arabic_tah ABIC LETTER TAH */
+    new codepair(0x05d8, 0x0638), /*                  Arabic_zah ABIC LETTER ZAH */
+    new codepair(0x05d9, 0x0639), /*                  Arabic_ain ABIC LETTER AIN */
+    new codepair(0x05da, 0x063a), /*                Arabic_ghain ABIC LETTER GHAIN */
+    new codepair(0x05e0, 0x0640), /*              Arabic_tatweel ABIC TATWEEL */
+    new codepair(0x05e1, 0x0641), /*                  Arabic_feh ABIC LETTER FEH */
+    new codepair(0x05e2, 0x0642), /*                  Arabic_qaf ABIC LETTER QAF */
+    new codepair(0x05e3, 0x0643), /*                  Arabic_kaf ABIC LETTER KAF */
+    new codepair(0x05e4, 0x0644), /*                  Arabic_lam ABIC LETTER LAM */
+    new codepair(0x05e5, 0x0645), /*                 Arabic_meem ABIC LETTER MEEM */
+    new codepair(0x05e6, 0x0646), /*                 Arabic_noon ABIC LETTER NOON */
+    new codepair(0x05e7, 0x0647), /*                   Arabic_ha ABIC LETTER HEH */
+    new codepair(0x05e8, 0x0648), /*                  Arabic_waw ABIC LETTER WAW */
+    new codepair(0x05e9, 0x0649), /*          Arabic_alefmaksura ABIC LETTER ALEF MAKSURA */
+    new codepair(0x05ea, 0x064a), /*                  Arabic_yeh ABIC LETTER YEH */
+    new codepair(0x05eb, 0x064b), /*             Arabic_fathatan ABIC FATHATAN */
+    new codepair(0x05ec, 0x064c), /*             Arabic_dammatan ABIC DAMMATAN */
+    new codepair(0x05ed, 0x064d), /*             Arabic_kasratan ABIC KASRATAN */
+    new codepair(0x05ee, 0x064e), /*                Arabic_fatha ABIC FATHA */
+    new codepair(0x05ef, 0x064f), /*                Arabic_damma ABIC DAMMA */
+    new codepair(0x05f0, 0x0650), /*                Arabic_kasra ABIC KASRA */
+    new codepair(0x05f1, 0x0651), /*               Arabic_shadda ABIC SHADDA */
+    new codepair(0x05f2, 0x0652), /*                Arabic_sukun SUKUN */
+    new codepair(0x06a1, 0x0452), /*                 Serbian_dje RILLIC SMALL LETTER DJE */
+    new codepair(0x06a2, 0x0453), /*               Macedonia_gje RILLIC SMALL LETTER GJE */
+    new codepair(0x06a3, 0x0451), /*                 Cyrillic_io RILLIC SMALL LETTER IO */
+    new codepair(0x06a4, 0x0454), /*                Ukrainian_ie RILLIC SMALL LETTER UKRAINIAN IE */
+    new codepair(0x06a5, 0x0455), /*               Macedonia_dse RILLIC SMALL LETTER DZE */
+    new codepair(0x06a6, 0x0456), /*                 Ukrainian_i RILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I */
+    new codepair(0x06a7, 0x0457), /*                Ukrainian_yi RILLIC SMALL LETTER YI */
+    new codepair(0x06a8, 0x0458), /*                 Cyrillic_je RILLIC SMALL LETTER JE */
+    new codepair(0x06a9, 0x0459), /*                Cyrillic_lje RILLIC SMALL LETTER LJE */
+    new codepair(0x06aa, 0x045a), /*                Cyrillic_nje RILLIC SMALL LETTER NJE */
+    new codepair(0x06ab, 0x045b), /*                Serbian_tshe RILLIC SMALL LETTER TSHE */
+    new codepair(0x06ac, 0x045c), /*               Macedonia_kje RILLIC SMALL LETTER KJE */
+    new codepair(0x06ae, 0x045e), /*         Byelorussian_shortu RILLIC SMALL LETTER SHORT U */
+    new codepair(0x06af, 0x045f), /*               Cyrillic_dzhe RILLIC SMALL LETTER DZHE */
+    new codepair(0x06b0, 0x2116), /*                  numerosign UMERO SIGN */
+    new codepair(0x06b1, 0x0402), /*                 Serbian_DJE RILLIC CAPITAL LETTER DJE */
+    new codepair(0x06b2, 0x0403), /*               Macedonia_GJE RILLIC CAPITAL LETTER GJE */
+    new codepair(0x06b3, 0x0401), /*                 Cyrillic_IO RILLIC CAPITAL LETTER IO */
+    new codepair(0x06b4, 0x0404), /*                Ukrainian_IE RILLIC CAPITAL LETTER UKRAINIAN IE */
+    new codepair(0x06b5, 0x0405), /*               Macedonia_DSE RILLIC CAPITAL LETTER DZE */
+    new codepair(0x06b6, 0x0406), /*                 Ukrainian_I RILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I */
+    new codepair(0x06b7, 0x0407), /*                Ukrainian_YI RILLIC CAPITAL LETTER YI */
+    new codepair(0x06b8, 0x0408), /*                 Cyrillic_JE RILLIC CAPITAL LETTER JE */
+    new codepair(0x06b9, 0x0409), /*                Cyrillic_LJE RILLIC CAPITAL LETTER LJE */
+    new codepair(0x06ba, 0x040a), /*                Cyrillic_NJE RILLIC CAPITAL LETTER NJE */
+    new codepair(0x06bb, 0x040b), /*                Serbian_TSHE RILLIC CAPITAL LETTER TSHE */
+    new codepair(0x06bc, 0x040c), /*               Macedonia_KJE RILLIC CAPITAL LETTER KJE */
+    new codepair(0x06be, 0x040e), /*         Byelorussian_SHORTU RILLIC CAPITAL LETTER SHORT U */
+    new codepair(0x06bf, 0x040f), /*               Cyrillic_DZHE RILLIC CAPITAL LETTER DZHE */
+    new codepair(0x06c0, 0x044e), /*                 Cyrillic_yu RILLIC SMALL LETTER YU */
+    new codepair(0x06c1, 0x0430), /*                  Cyrillic_a RILLIC SMALL LETTER A */
+    new codepair(0x06c2, 0x0431), /*                 Cyrillic_be RILLIC SMALL LETTER BE */
+    new codepair(0x06c3, 0x0446), /*                Cyrillic_tse RILLIC SMALL LETTER TSE */
+    new codepair(0x06c4, 0x0434), /*                 Cyrillic_de RILLIC SMALL LETTER DE */
+    new codepair(0x06c5, 0x0435), /*                 Cyrillic_ie RILLIC SMALL LETTER IE */
+    new codepair(0x06c6, 0x0444), /*                 Cyrillic_ef RILLIC SMALL LETTER EF */
+    new codepair(0x06c7, 0x0433), /*                Cyrillic_ghe RILLIC SMALL LETTER GHE */
+    new codepair(0x06c8, 0x0445), /*                 Cyrillic_ha RILLIC SMALL LETTER HA */
+    new codepair(0x06c9, 0x0438), /*                  Cyrillic_i RILLIC SMALL LETTER I */
+    new codepair(0x06ca, 0x0439), /*             Cyrillic_shorti RILLIC SMALL LETTER SHORT I */
+    new codepair(0x06cb, 0x043a), /*                 Cyrillic_ka RILLIC SMALL LETTER KA */
+    new codepair(0x06cc, 0x043b), /*                 Cyrillic_el RILLIC SMALL LETTER EL */
+    new codepair(0x06cd, 0x043c), /*                 Cyrillic_em RILLIC SMALL LETTER EM */
+    new codepair(0x06ce, 0x043d), /*                 Cyrillic_en RILLIC SMALL LETTER EN */
+    new codepair(0x06cf, 0x043e), /*                  Cyrillic_o RILLIC SMALL LETTER O */
+    new codepair(0x06d0, 0x043f), /*                 Cyrillic_pe RILLIC SMALL LETTER PE */
+    new codepair(0x06d1, 0x044f), /*                 Cyrillic_ya RILLIC SMALL LETTER YA */
+    new codepair(0x06d2, 0x0440), /*                 Cyrillic_er RILLIC SMALL LETTER ER */
+    new codepair(0x06d3, 0x0441), /*                 Cyrillic_es RILLIC SMALL LETTER ES */
+    new codepair(0x06d4, 0x0442), /*                 Cyrillic_te RILLIC SMALL LETTER TE */
+    new codepair(0x06d5, 0x0443), /*                  Cyrillic_u RILLIC SMALL LETTER U */
+    new codepair(0x06d6, 0x0436), /*                Cyrillic_zhe RILLIC SMALL LETTER ZHE */
+    new codepair(0x06d7, 0x0432), /*                 Cyrillic_ve RILLIC SMALL LETTER VE */
+    new codepair(0x06d8, 0x044c), /*           Cyrillic_softsign RILLIC SMALL LETTER SOFT SIGN */
+    new codepair(0x06d9, 0x044b), /*               Cyrillic_yeru RILLIC SMALL LETTER YERU */
+    new codepair(0x06da, 0x0437), /*                 Cyrillic_ze RILLIC SMALL LETTER ZE */
+    new codepair(0x06db, 0x0448), /*                Cyrillic_sha RILLIC SMALL LETTER SHA */
+    new codepair(0x06dc, 0x044d), /*                  Cyrillic_e RILLIC SMALL LETTER E */
+    new codepair(0x06dd, 0x0449), /*              Cyrillic_shcha RILLIC SMALL LETTER SHCHA */
+    new codepair(0x06de, 0x0447), /*                Cyrillic_che RILLIC SMALL LETTER CHE */
+    new codepair(0x06df, 0x044a), /*           Cyrillic_hardsign RILLIC SMALL LETTER HARD SIGN */
+    new codepair(0x06e0, 0x042e), /*                 Cyrillic_YU RILLIC CAPITAL LETTER YU */
+    new codepair(0x06e1, 0x0410), /*                  Cyrillic_A RILLIC CAPITAL LETTER A */
+    new codepair(0x06e2, 0x0411), /*                 Cyrillic_BE RILLIC CAPITAL LETTER BE */
+    new codepair(0x06e3, 0x0426), /*                Cyrillic_TSE C CAPITAL LETTER TSE */
+    new codepair(0x06e4, 0x0414), /*                 Cyrillic_DE RILLIC CAPITAL LETTER DE */
+    new codepair(0x06e5, 0x0415), /*                 Cyrillic_IE RILLIC CAPITAL LETTER IE */
+    new codepair(0x06e6, 0x0424), /*                 Cyrillic_EF RILLIC CAPITAL LETTER EF */
+    new codepair(0x06e7, 0x0413), /*                Cyrillic_GHE RILLIC CAPITAL LETTER GHE */
+    new codepair(0x06e8, 0x0425), /*                 Cyrillic_HA RILLIC CAPITAL LETTER HA */
+    new codepair(0x06e9, 0x0418), /*                  Cyrillic_I RILLIC CAPITAL LETTER I */
+    new codepair(0x06ea, 0x0419), /*             Cyrillic_SHORTI RILLIC CAPITAL LETTER SHORT I */
+    new codepair(0x06eb, 0x041a), /*                 Cyrillic_KA RILLIC CAPITAL LETTER KA */
+    new codepair(0x06ec, 0x041b), /*                 Cyrillic_EL RILLIC CAPITAL LETTER EL */
+    new codepair(0x06ed, 0x041c), /*                 Cyrillic_EM RILLIC CAPITAL LETTER EM */
+    new codepair(0x06ee, 0x041d), /*                 Cyrillic_EN RILLIC CAPITAL LETTER EN */
+    new codepair(0x06ef, 0x041e), /*                  Cyrillic_O RILLIC CAPITAL LETTER O */
+    new codepair(0x06f0, 0x041f), /*                 Cyrillic_PE RILLIC CAPITAL LETTER PE */
+    new codepair(0x06f1, 0x042f), /*                 Cyrillic_YA RILLIC CAPITAL LETTER YA */
+    new codepair(0x06f2, 0x0420), /*                 Cyrillic_ER RILLIC CAPITAL LETTER ER */
+    new codepair(0x06f3, 0x0421), /*                 Cyrillic_ES RILLIC CAPITAL LETTER ES */
+    new codepair(0x06f4, 0x0422), /*                 Cyrillic_TE RILLIC CAPITAL LETTER TE */
+    new codepair(0x06f5, 0x0423), /*                  Cyrillic_U RILLIC CAPITAL LETTER U */
+    new codepair(0x06f6, 0x0416), /*                Cyrillic_ZHE RILLIC CAPITAL LETTER ZHE */
+    new codepair(0x06f7, 0x0412), /*                 Cyrillic_VE RILLIC CAPITAL LETTER VE */
+    new codepair(0x06f8, 0x042c), /*           Cyrillic_SOFTSIGN RILLIC CAPITAL LETTER SOFT SIGN */
+    new codepair(0x06f9, 0x042b), /*               Cyrillic_YERU RILLIC CAPITAL LETTER YERU */
+    new codepair(0x06fa, 0x0417), /*                 Cyrillic_ZE RILLIC CAPITAL LETTER ZE */
+    new codepair(0x06fb, 0x0428), /*                Cyrillic_SHA RILLIC CAPITAL LETTER SHA */
+    new codepair(0x06fc, 0x042d), /*                  Cyrillic_E RILLIC CAPITAL LETTER E */
+    new codepair(0x06fd, 0x0429), /*              Cyrillic_SHCHA RILLIC CAPITAL LETTER SHCHA */
+    new codepair(0x06fe, 0x0427), /*                Cyrillic_CHE RILLIC CAPITAL LETTER CHE */
+    new codepair(0x06ff, 0x042a), /*           Cyrillic_HARDSIGN RILLIC CAPITAL LETTER HARD SIGN */
+    new codepair(0x07a1, 0x0386), /*           Greek_ALPHAaccent EEK CAPITAL LETTER ALPHA WITH TONOS */
+    new codepair(0x07a2, 0x0388), /*         Greek_EPSILONaccent EEK CAPITAL LETTER EPSILON WITH TONOS */
+    new codepair(0x07a3, 0x0389), /*             Greek_ETAaccent EEK CAPITAL LETTER ETA WITH TONOS */
+    new codepair(0x07a4, 0x038a), /*            Greek_IOTAaccent EEK CAPITAL LETTER IOTA WITH TONOS */
+    new codepair(0x07a5, 0x03aa), /*         Greek_IOTAdiaeresis EEK CAPITAL LETTER IOTA WITH DIALYTIKA */
+    new codepair(0x07a7, 0x038c), /*         Greek_OMICRONaccent EEK CAPITAL LETTER OMICRON WITH TONOS */
+    new codepair(0x07a8, 0x038e), /*         Greek_UPSILONaccent EEK CAPITAL LETTER UPSILON WITH TONOS */
+    new codepair(0x07a9, 0x03ab), /*       Greek_UPSILONdieresis EEK CAPITAL LETTER UPSILON WITH DIALYTIKA */
+    new codepair(0x07ab, 0x038f), /*           Greek_OMEGAaccent EEK CAPITAL LETTER OMEGA WITH TONOS */
+    new codepair(0x07ae, 0x0385), /*        Greek_accentdieresis EEK DIALYTIKA TONOS */
+    new codepair(0x07af, 0x2015), /*              Greek_horizbar ORIZONTAL BAR */
+    new codepair(0x07b1, 0x03ac), /*           Greek_alphaaccent EEK SMALL LETTER ALPHA WITH TONOS */
+    new codepair(0x07b2, 0x03ad), /*         Greek_epsilonaccent MALL LETTER EPSILON WITH TONOS */
+    new codepair(0x07b3, 0x03ae), /*             Greek_etaaccent EEK SMALL LETTER ETA WITH TONOS */
+    new codepair(0x07b4, 0x03af), /*            Greek_iotaaccent EEK SMALL LETTER IOTA WITH TONOS */
+    new codepair(0x07b5, 0x03ca), /*          Greek_iotadieresis EEK SMALL LETTER IOTA WITH DIALYTIKA */
+    new codepair(0x07b6, 0x0390), /*    Greek_iotaaccentdieresis EEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS */
+    new codepair(0x07b7, 0x03cc), /*         Greek_omicronaccent EEK SMALL LETTER OMICRON WITH TONOS */
+    new codepair(0x07b8, 0x03cd), /*         Greek_upsilonaccent EEK SMALL LETTER UPSILON WITH TONOS */
+    new codepair(0x07b9, 0x03cb), /*       Greek_upsilondieresis EEK SMALL LETTER UPSILON WITH DIALYTIKA */
+    new codepair(0x07ba, 0x03b0), /* Greek_upsilonaccentdieresis EEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS */
+    new codepair(0x07bb, 0x03ce), /*           Greek_omegaaccent EEK SMALL LETTER OMEGA WITH TONOS */
+    new codepair(0x07c1, 0x0391), /*                 Greek_ALPHA EEK CAPITAL LETTER ALPHA */
+    new codepair(0x07c2, 0x0392), /*                  Greek_BETA EEK CAPITAL LETTER BETA */
+    new codepair(0x07c3, 0x0393), /*                 Greek_GAMMA EEK CAPITAL LETTER GAMMA */
+    new codepair(0x07c4, 0x0394), /*                 Greek_DELTA EEK CAPITAL LETTER DELTA */
+    new codepair(0x07c5, 0x0395), /*               Greek_EPSILON EEK CAPITAL LETTER EPSILON */
+    new codepair(0x07c6, 0x0396), /*                  Greek_ZETA EEK CAPITAL LETTER ZETA */
+    new codepair(0x07c7, 0x0397), /*                   Greek_ETA EEK CAPITAL LETTER ETA */
+    new codepair(0x07c8, 0x0398), /*                 Greek_THETA EEK CAPITAL LETTER THETA */
+    new codepair(0x07c9, 0x0399), /*                  Greek_IOTA EEK CAPITAL LETTER IOTA */
+    new codepair(0x07ca, 0x039a), /*                 Greek_KAPPA EEK CAPITAL LETTER KAPPA */
+    new codepair(0x07cb, 0x039b), /*                Greek_LAMBDA EEK CAPITAL LETTER LAMDA */
+    new codepair(0x07cc, 0x039c), /*                    Greek_MU EEK CAPITAL LETTER MU */
+    new codepair(0x07cd, 0x039d), /*                    Greek_NU EEK CAPITAL LETTER NU */
+    new codepair(0x07ce, 0x039e), /*                    Greek_XI EEK CAPITAL LETTER XI */
+    new codepair(0x07cf, 0x039f), /*               Greek_OMICRON EEK CAPITAL LETTER OMICRON */
+    new codepair(0x07d0, 0x03a0), /*                    Greek_PI EEK CAPITAL LETTER PI */
+    new codepair(0x07d1, 0x03a1), /*                   Greek_RHO EEK CAPITAL LETTER RHO */
+    new codepair(0x07d2, 0x03a3), /*                 Greek_SIGMA EEK CAPITAL LETTER SIGMA */
+    new codepair(0x07d4, 0x03a4), /*                   Greek_TAU EEK CAPITAL LETTER TAU */
+    new codepair(0x07d5, 0x03a5), /*               Greek_UPSILON EEK CAPITAL LETTER UPSILON */
+    new codepair(0x07d6, 0x03a6), /*                   Greek_PHI EEK CAPITAL LETTER PHI */
+    new codepair(0x07d7, 0x03a7), /*                   Greek_CHI EEK CAPITAL LETTER CHI */
+    new codepair(0x07d8, 0x03a8), /*                   Greek_PSI EEK CAPITAL LETTER PSI */
+    new codepair(0x07d9, 0x03a9), /*                 Greek_OMEGA EEK CAPITAL LETTER OMEGA */
+    new codepair(0x07e1, 0x03b1), /*                 Greek_alpha EEK SMALL LETTER ALPHA */
+    new codepair(0x07e2, 0x03b2), /*                  Greek_beta EEK SMALL LETTER BETA */
+    new codepair(0x07e3, 0x03b3), /*                 Greek_gamma EEK SMALL LETTER GAMMA */
+    new codepair(0x07e4, 0x03b4), /*                 Greek_delta EEK SMALL LETTER DELTA */
+    new codepair(0x07e5, 0x03b5), /*               Greek_epsilon EEK SMALL LETTER EPSILON */
+    new codepair(0x07e6, 0x03b6), /*                  Greek_zeta EEK SMALL LETTER ZETA */
+    new codepair(0x07e7, 0x03b7), /*                   Greek_eta EEK SMALL LETTER ETA */
+    new codepair(0x07e8, 0x03b8), /*                 Greek_theta EEK SMALL LETTER THETA */
+    new codepair(0x07e9, 0x03b9), /*                  Greek_iota EEK SMALL LETTER IOTA */
+    new codepair(0x07ea, 0x03ba), /*                 Greek_kappa EEK SMALL LETTER KAPPA */
+    new codepair(0x07eb, 0x03bb), /*                Greek_lambda EEK SMALL LETTER LAMDA */
+    new codepair(0x07ec, 0x03bc), /*                    Greek_mu EEK SMALL LETTER MU */
+    new codepair(0x07ed, 0x03bd), /*                    Greek_nu EEK SMALL LETTER NU */
+    new codepair(0x07ee, 0x03be), /*                    Greek_xi EEK SMALL LETTER XI */
+    new codepair(0x07ef, 0x03bf), /*               Greek_omicron EEK SMALL LETTER OMICRON */
+    new codepair(0x07f0, 0x03c0), /*                    Greek_pi EEK SMALL LETTER PI */
+    new codepair(0x07f1, 0x03c1), /*                   Greek_rho EEK SMALL LETTER RHO */
+    new codepair(0x07f2, 0x03c3), /*                 Greek_sigma EEK SMALL LETTER SIGMA */
+    new codepair(0x07f3, 0x03c2), /*       Greek_finalsmallsigma EEK SMALL LETTER FINAL SIGMA */
+    new codepair(0x07f4, 0x03c4), /*                   Greek_tau EEK SMALL LETTER TAU */
+    new codepair(0x07f5, 0x03c5), /*               Greek_upsilon EEK SMALL LETTER UPSILON */
+    new codepair(0x07f6, 0x03c6), /*                   Greek_phi EEK SMALL LETTER PHI */
+    new codepair(0x07f7, 0x03c7), /*                   Greek_chi EEK SMALL LETTER CHI */
+    new codepair(0x07f8, 0x03c8), /*                   Greek_psi EEK SMALL LETTER PSI */
+    new codepair(0x07f9, 0x03c9), /*                 Greek_omega EEK SMALL LETTER OMEGA */
+    new codepair(0x08a1, 0x23b7), /*                 leftradical ?? */
+    new codepair(0x08a2, 0x250c), /*              topleftradical OX DRAWINGS LIGHT DOWN AND RIGHT */
+    new codepair(0x08a3, 0x2500), /*              horizconnector OX DRAWINGS LIGHT HORIZONTAL */
+    new codepair(0x08a4, 0x2320), /*                 topintegral OP HALF INTEGRAL */
+    new codepair(0x08a5, 0x2321), /*                 botintegral OTTOM HALF INTEGRAL */
+    new codepair(0x08a6, 0x2502), /*               vertconnector OX DRAWINGS LIGHT VERTICAL */
+    new codepair(0x08a7, 0x23a1), /*            topleftsqbracket ?? */
+    new codepair(0x08a8, 0x23a3), /*            botleftsqbracket ?? */
+    new codepair(0x08a9, 0x23a4), /*           toprightsqbracket ?? */
+    new codepair(0x08aa, 0x23a6), /*           botrightsqbracket ?? */
+    new codepair(0x08ab, 0x239b), /*               topleftparens ?? */
+    new codepair(0x08ac, 0x239d), /*               botleftparens ?? */
+    new codepair(0x08ad, 0x239e), /*              toprightparens ?? */
+    new codepair(0x08ae, 0x23a0), /*              botrightparens ?? */
+    new codepair(0x08af, 0x23a8), /*        leftmiddlecurlybrace ?? */
+    new codepair(0x08b0, 0x23ac), /*       rightmiddlecurlybrace ?? */
   /*  0x08b1                          topleftsummation ? ??? */
   /*  0x08b2                          botleftsummation ? ??? */
   /*  0x08b3                 topvertsummationconnector ? ??? */
